function [ Udla eign ] = localLDDM(loopi,fea,options)
%Yang Mu UMass Boston
%yangmu@cs.umb.edu
%2012 Jan

k1 = 2;
if isfield(options,'k1')
    k1 = options.k1;
end
m = zeros(size(fea,1),1)+1;
if isfield(options,'m')
    m = options.m;
end

k2 = 3;
if isfield(options,'k2')
    k2 = options.k2;
end

beta = 0.3;
if isfield(options,'beta')
    beta = options.beta;
end

gnd = [];
if isfield(options,'beta')
    gnd = options.gnd;
end



% build patch
% F = zeros(1,1+k1+k2);
currentsample = fea(loopi,:);
Distant = Dist(currentsample,fea);
idxsame = find(gnd == gnd(loopi));
idxsame(find(idxsame == loopi)) = [];
idxdiff = find(gnd ~= gnd(loopi));
samemat = Distant(idxsame');
[junk1 sidx] = sort(samemat);
sameid = idxsame(sidx);
diffmat = Distant(idxdiff');
[junk2 didx] = sort(diffmat);
diffid = idxdiff(didx);
sameclass = sameid(1:k1);
diffclass = diffid(1:k2);
F = [loopi,sameclass',diffclass'];
omega = ones(1,k1+k2);
omega(:,k1+1:k1+k2) = -beta;
omega = omega';
sumomega = sum(omega);
Yi = fea(F,:);
if size(Yi,2)/size(Yi,1) > 1.5
%do PCA  to accelerate
end

Li = [sumomega,-omega';-omega,diag(omega)];

mat = Yi'*Li*Yi;
mat = (mat+mat')/2;
[V,D] = eig(mat);
eign = diag(D) ;
[eign,index] = sort(eign);
Udla = V(:,index(1:end));



end

